%define module  Text-Brew
%define name    perl-%{module}
%define version 0.02
%define release %mkrel 5

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        An implementation of the Brew edit distance
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Text/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module implements the Brew edit distance that is very close to the dynamic
programming technique used for the Wagner-Fischer (and so for the Levenshtein)
edit distance. Please look at the module references below. For more information
about the Brew edit distance see:
http://ling.ohio-state.edu/~cbrew/795M/string-distance.html

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}



%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Text
%{_mandir}/*/*



%changelog
* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-5mdv2008.0
+ Revision: 86969
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-4mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.02-3mdk
- Fix SPEC according to Perl Policy
    - Source URL
- use mkrel

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-2mdk 
- better url
- spec cleanup
- make test in %%check
- don't ship useless empty directories

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdk 
- new release
- spec cleanup
- better url

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.01-2mdk
- fix buildrequires in a backward compatible way

* Thu Jun 24 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.01-1mdk 
- first mdk release

